package com.ruixuan.jiaoyang.mapper;


import com.alibaba.fastjson.JSONObject;
import com.ruixuan.jiaoyang.entity.JyMaterialList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 素材信息Mapper接口
 *
 * @author ruoyi
 * @date 2023-11-16
 */
public interface JyMaterialListMapper
{
    /**
     * 查询素材信息
     *
     * @param id 素材信息主键
     * @return 素材信息
     */
    public JyMaterialList selectJyMaterialListById(Long id);

    /**
     * 查询素材信息列表
     *
     * @param jyMaterialList 素材信息
     * @return 素材信息集合
     */
    public List<JyMaterialList> selectJyMaterialListList(JyMaterialList jyMaterialList);

    /**
     * 新增素材信息
     *
     * @param jyMaterialList 素材信息
     * @return 结果
     */
    public int insertJyMaterialList(JyMaterialList jyMaterialList);

    /**
     * 修改素材信息
     *
     * @param jyMaterialList 素材信息
     * @return 结果
     */
    public int updateJyMaterialList(JyMaterialList jyMaterialList);

    /**
     * 删除素材信息
     *
     * @param id 素材信息主键
     * @return 结果
     */
    public int deleteJyMaterialListById(Long id);

    /**
     * 批量删除素材信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJyMaterialListByIds(Long[] ids);

    Integer checkMaterial(String signature);

    List<JSONObject> jyMaterialListMapper();

    void updateJyMaterialListBySignature(JyMaterialList updateMaterial);

    List<JSONObject> getKeyWordList();

    void insertKeyWord(@Param("type") String type, @Param("keyWord") String keyWord);
}
